# 2023-156
*"AGROX - Elevating Cinnamon Industry through Expert Guidance and Support"*

<!--<img src="http://gitlab.sliit.lk/-/ide/project/2023-156/2023-156/blob/master/-/Agrox-HomeUI.jpeg" alt="UI-Home-Agrox">-->
![Home-UI](http://gitlab.sliit.lk/-/ide/project/2023-156/2023-156/blob/master/-/Agrox-HomeUI.jpeg)

*Main objective*:
In this research study, we are developing a mobile application for the Cinnamon industry to provide functionalities to guide through ideal growing conditions, planting and harvesting procedures, disease identification and management, market and quality assurance, and a platform and a trained virtual assistant for additional support. This application is for beginners to expert-level industrial personnel and anyone who seeks knowledge.

*Research questions*:
What is the purpose of the mobile application being developed for the Cinnamon industry in this research study?

*Individual research question*:

sub obj 1:
What is the research project's objective related to providing current local cinnamon market information and forecasting market status using deep learning?

sub obj 2:
What is the identified disease and what would be the output of this diagnosis?

sub obj3:
What is the objective of the virtual assistance for Cinnamon Industry related application?

sub obj 4:
Why is it important for cinnamon growers to screen their crops according to quality standards?

*Individual Objectives*:

**Sub Objective 1**:
Provide accurate information on the current local cinnamon market status and provide market status forecasting and prediction using deep learning.

**Sub Objective 2**:
Plant Status Analysis and diagnosis of diseases (Rough Bark Disease) through computer vision.

**Sub Objective 3**:
Community platform and trained virtual assistant for additional queries using artificial intelligence and deep learning.

**Sub Objective 4**:
Determines the grade of cinnamon quills, through Image processing.
 

*Other necessary information*:
* Frontend: Flutter
* Backend: Python
* NN: RNN & CNN
* Libraries: Flusk / TensorFlow
* Algorithm : LSTM